#      $Id: hrp2.geom 2008/02/28 17:01:41 mallet $
#
# Copyright (c) 2006 LAAS/CNRS <http://www.laas.fr>.
# All rights  reserved.
#

#
# Geometric configuration of HRP-2 sensors
#
# NOTE: this file is largely incomplete.
# 

# --- frames -----------------------------------------------------

frame CameraTopLeft, CameraTopRight;
frame CameraBottomLeft, CameraBottomRight;
frame HeadV;

frame Head, Neck, Chest, Waist;
frame Robot;

# Common frame
main Robot;


# --- cameras ------------------------------------------------------

link {
   from CameraTopLeft;
   to HeadV;
   translate    0.01 0.029 0.145;
   rotate       0.03 0.04 0.0;
}

link {
   from CameraTopRight;
   to HeadV;
   translate    0.01 -0.029 0.145;
   rotate       0.0 0.04 0.0;
}

link {
   from CameraBottomLeft;
   to HeadV;
   translate    0.035 0.072 0.075;
   rotate       0.0 0.0 0.0;
}

link {
   from CameraBottomRight;
   to HeadV;
   translate    0.035 -0.072 0.075;
   rotate       0.0 0.0 0.0;
}

link {
   from HeadV;
   to Head;
   translate	0.0 0.0 0.0;
   rotate	0.0 0.17453 0.0;
}


# --- main body ------------------------------------------------------

# mobile
link {
   from Head;
   to Neck;
   translate    0.0 0.0 0.0;
   rotate       0.0 0.0 0.0;
}

link {
   from Neck;
   to Chest;
   translate    -0.007 0 0.2973;
   rotate       0.0 0.0 0.0;
}

# mobile
link {
   from Chest;
   to Waist;
   translate    0.0 0.0 0.0;
   rotate       0.0 0.0 0.0;
}

link {
   from Waist;
   to Robot;
   translate    0.032 0 0.3507;
   rotate       0.0 0.0 0.0;
}
